%define upstream_name URI-Query
%define upstream_version 0.16

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Class providing URI query string manipulation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/URI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Clone)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(URI::Escape)
BuildRequires: perl(YAML)
BuildRequires: perl(overload)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
URI::Query provides simple URI query string manipulation, allowing you
to create and manipulate URI query strings from GET and POST requests in
web applications. This is primarily useful for creating links where you 
wish to preserve some subset of the parameters to the current request,
and potentially add or replace others. Given a query string this is 
doable with regexes, of course, but making sure you get the anchoring 
and escaping right is tedious and error-prone - using this module is 
much simpler.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc ChangeLog LICENSE META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Tue Mar 22 2022 umeabot <umeabot> 0.160.0-4.mga9
+ Revision: 1819069
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.160.0-3.mga8
+ Revision: 1506895
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.160.0-2.mga7
+ Revision: 1287144
- Mageia 7 Mass Rebuild

* Fri Jul 21 2017 sander85 <sander85> 0.160.0-1.mga7
+ Revision: 1125933
- update to 0.16

* Sun Jun 19 2016 pterjan <pterjan> 0.150.0-2.mga6
+ Revision: 1035634
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.150.0-1.mga6
+ Revision: 1002328
- update to 0.15

* Fri Feb 19 2016 umeabot <umeabot> 0.100.0-2.mga6
+ Revision: 969195
- Mageia 6 Mass Rebuild

* Thu Aug 13 2015 sander85 <sander85> 0.100.0-1.mga6
+ Revision: 864472
- imported package perl-URI-Query

